pathIn = 'C:\Users\gajdo\Documents\DATA\Re_DoubleLine';
subfolders = [ "aActinin"; "FliI_H"; "Projectin"; "Sls700_B2"; "TmodhistData"; ...
        "DAAM_PD"; "KettinIg16"; "ProjectinP5"; "TM"; "TroponinC"; "Fhos"; ...
        "KettinIg34"; "SALS_H"; "Tmod"; "ZorminB1" ...
];

ROIExports = struct('filename',{},'origin',{},'subfolder',{},'export_name',{},'SectionInfo',{},'ThompsonMax',{});

for sd = 1:length(subfolders)
    file = dir(strjoin([pathIn,filesep,subfolders(sd),filesep,'*.mat'],''));
    if isempty(file)
        disp('No match in directory');
    else
        for i = 1:length(file)
%            disp(strjoin(['Regex selected', fullfile(pathIn,filesep,subfolders(sd),filesep,file(i).name)]));
            load(fullfile(pathIn,filesep,subfolders(sd),filesep,file(i).name),'-mat','export');
            ROIExports(end+1) = struct('filename',strjoin([fullfile(pathIn,filesep,subfolders(sd),filesep,file(i).name)]),...
                'origin',export.SectionRawDataFullFilename,'subfolder',subfolders(sd),'export_name',export.export_name,...
                'SectionInfo',export.SectionInfo,'ThompsonMax',max([export.SectionParams.x_std]));
        end
    end
end
disp('Check for missing precisions!');
ROI10Export = ROIExports( [ROIExports(:).ThompsonMax] < 10);
ROI20Export = ROIExports( [ROIExports(:).ThompsonMax] > 10);